#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <Phonon>

namespace Ui {
    class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = 0);
    ~Widget();

private:
    Ui::Widget *ui;

    Phonon::AudioOutput     *_aouput;
    Phonon::MediaObject     *_mobject;
    Phonon::VideoWidget     *_vwidget;

    Phonon::VolumeSlider    *_vslider;
    Phonon::SeekSlider      *_sslider;
};

#endif // WIDGET_H
